# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/synaptics,r63353.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Synaptics R63353 based MIPI-DSI panels

maintainers:
  - Michael Trimarchi <michael@amarulasolutions.com>

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    items:
      - enum:
          - sharp,ls068b3sx02
      - const: syna,r63353

  avdd-supply: true
  dvdd-supply: true
  reg: true

required:
  - compatible
  - avdd-supply
  - dvdd-supply
  - reg
  - reset-gpios
  - port
  - backlight

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    dsi {
        #address-cells = <1>;
        #size-cells = <0>;

        panel@0 {
            compatible = "sharp,ls068b3sx02", "syna,r63353";
            reg = <0>;
            avdd-supply = <&avdd_display>;
            dvdd-supply = <&dvdd_display>;
            reset-gpios = <&r_pio 0 5 GPIO_ACTIVE_LOW>; /* PL05 */
            backlight = <&backlight>;

            port {
                panel_in: endpoint {
                    remote-endpoint = <&mipi_dsi_out>;
                };
            };
        };
    };

...
